version: "2"

services:

  zookeeper:
    container_name: zookeeper.diploma
    hostname: zookeeper.my2n
    image: 'bitnami/zookeeper:latest'
    ports:
      - '2181:2181'
    environment:
      - ALLOW_ANONYMOUS_LOGIN=yes
    volumes:
      - zookeeper-data:/bitnami/zookeeper
    networks:
      kafka:
    restart: on-failure
      
  kafka:
    container_name: kafka.diploma
    hostname: kafka.diploma
    image: 'bitnami/kafka:1.1.1'
    ports:
      - '9092:9092'
      - '10099:9999'
    environment:
      - KAFKA_ZOOKEEPER_CONNECT=zookeeper.diploma:2181
      - ALLOW_PLAINTEXT_LISTENER=yes
      - JMX_PORT=9999
      - KAFKA_NUM_PARTITIONS=6
      - KAFKA_DELETE_TOPIC_ENABLE=true
    volumes:
      - kafka-data:/bitnami/kafka
    networks:
      kafka:
    restart: on-failure

networks:
  kafka:

volumes:
  zookeeper-data:
  kafka-data:
      
